com.r3corda.core.contracts / MultilateralNettableState

# MultilateralNettableState

`interface MultilateralNettableState<out T : Any>`

Interface for state objects that support being netted with other state objects.

### Properties

multilateralNetState | `abstract val multilateralNetState: T` Returns an object used to determine if two states can be subject to close-out netting. If two states return equal objects, they can be close out netted together.

### Inheritors

NettableState | `interface NettableState<N : BilateralNettableState<N>, T : Any> : BilateralNettableState<N>, MultilateralNettableState<T>`